Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
halv07

Làm sao để viết chữ trên cung Elips ?

Các bài được khuyến nghị

Chả là bà chị có cái Logo công ty có hình Elip và chữ trên cung đó. Chị ấy nhờ mình đồ họa lại bằng AutoCAD để đưa vào khung tên mà em loay hoay mãi không biết viết thế nào. Nếu cung tròn thì còn có lệnh Arc-Text nhưng elip thì em mù luôn. Vậy xin hỏi các bác là trong CAD có cái lệnh viết chữ trên cung Elip đó không ? Nếu không có thì phải làm thế nào ?

 

Kính mong các bác chỉ giáo, em xin cảm ơn rất nhiều và mời đi uống cafe (nếu ở gần) - Em ở Thanh Hóa ạ !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

1.Việc đầu tiên bạn phải tải công cụ Express cho Autocad của bạn nếu Cad của bạn chưa có công cụ này thì tiến hành làm như sau:

Thực hiện lệnh: menuload -> browser -> chon acetmain.cui .

Nếu cad của bạn đã có công cụ này bỏ qua bước 1.

2.Làm việc với công cụ Express:

Sau khi đã có công cụ này, bạn vẽ một cung tròn (không phải đường tròn) mà bạn định viết chữ lên cung đó,

click Express, Text, Arc-Aligned Text rồi chọn cung tròn vừa vẽ:

1-8.jpg

2-6.jpg

Bạn sẽ thấy xuất hiện hộp thoại cho phép bạn gõ nội dung, chọn kiểu dóng, cỡ chữ, font chữ...

(đủ các kiểu định dạng). Sau khi gõ nội dung và chọn cỡ chữ, định dạng phù hợp, bạn sẽ có kết quả

ví dụ như sau:

3-5.jpg

Một số lưu ý:

1. Do công cụ này chưa thực sự hoàn thiện, bạn sẽ thấy khoảng cách các chữ không đều nhau.

2. Các chữ cái không hề bị biến dạng, chúng đơn thuần chỉ được sắp xếp trên đường cong.

3. Chỉ viết được chữ trên các cung tròn, không viết được trên các đường cong bất kỳ.

Vì vậy, nếu định làm chữ cỡ lớn trên cung nhỏ hoặc cung cong bất kỳ thì nên dùng phần mềm khác.

42.jpg

4-4.jpg

Tham khảo nguồn :http://www.meslab.org

Chúc bạn thành công! Mình ở Hatinh chắc phải uống hơi thôi hihi!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Úi, bác ơi ! Cái trên cung tròn thì em đã biết rùi, nhưng em muốn hỏi là viết trên cung Elip cơ ! Cung mà nó vượt qua cả 2 đỉnh nhọn hơn của Elips ấy !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Úi, bác ơi ! Cái trên cung tròn thì em đã biết rùi, nhưng em muốn hỏi là viết trên cung Elip cơ ! Cung mà nó vượt qua cả 2 đỉnh nhọn hơn của Elips ấy !

Ấy chết!Vội quá nên ko đọc rõ yêu cầu của bạn na!Hio. Sory b nhé! Đã thế thì làm nó trên photoshop đi bạn! Vừa đẹp lại ok!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chả là bà chị có cái Logo công ty có hình Elip và chữ trên cung đó. Chị ấy nhờ mình đồ họa lại bằng AutoCAD để đưa vào khung tên mà em loay hoay mãi không biết viết thế nào. Nếu cung tròn thì còn có lệnh Arc-Text nhưng elip thì em mù luôn. Vậy xin hỏi các bác là trong CAD có cái lệnh viết chữ trên cung Elip đó không ? Nếu không có thì phải làm thế nào ?

Kính mong các bác chỉ giáo, em xin cảm ơn rất nhiều và mời đi uống cafe (nếu ở gần) - Em ở Thanh Hóa ạ !

Tool Express có lệnh arctext để vẽ text lên 1 arc. Bạn dùng lệnh này để vẽ. Sau đó bạn dùng lisp scale 1 chiều (đã có trên 4rum này) để scale arc và text theo 1 phương nào đó, cùng tỉ lệ, thì bạn sẽ được text nằm trên elip.

Link của lệnh scale 1 chiều ở đây:

http://www.cadviet.com/forum/index.php?showtopic=9753

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nếu chỉ có 1 hình có thể vẽ thủ công bằng cách vẽ Ellipse với sự lựa chọn:

Command: pellipse

Enter new value for PELLIPSE <0>: 1

Sau đó tạo block 1 chữ rồi array theo đường dẫn, cũng không tốn nhiều thời gian lắm!

 

@ Bác Đoan Van Ha: Sao cad của em không cho sửa tex được tạo ra từ lệnh arctext?

 

@Bác Tue_NV:

 

Lisp scale một chiều với tham số R của bác em dùng ko được, sau khi chọn đối tượng nó ra thông báo sau:

Command: xsc Chon doi tuong can scale:

Select objects: 1 found

Select objects:

Base point:

Bấm chọn 1 điểm nó ra như này:

Base point: ; error: too many arguments

Command:

Chịu chết ko dùng được, ko hiểu vì sao?

 

Đây là đoạn Code Scale 1 chiều, Tue_NV đã cải tiến lại với lựa chọn thêm tham số R giống như Scale 2 chiều. Các bạn sử dụng và cho biết ý kiến thêm để Tue_NV hoàn thiện nhé.

Cảm ơn các bạn

;XSCALE Scale the mot chieu lenhtat :XSC(DEFUN EXCUTE()  (setq oldvalue (getvar "CMDECHO"))  (setvar "CMDECHO" 0)  (princ "Chon doi tuong can scale: ")  (setq ss (ssget))  (setq P0 (getpoint "\n Base point: "))  (initget 1 "X Y X S")  (setq C (getkword "\nScale theo [X,Y,Z,Scale]? :"))(setq hstr (getstring "\n Cho biet he so scale or Reference < R >"))(if (/= hstr "R") (setq hs (distof hstr 2)))(if (or (= hstr "R") (= hstr ""))(progn(setq po1 (getdist p0 "\n Nhap chieu dai cua doan 1 hay Pick diem thu 2 cua canh thu 1:"))(setq po2 (getdist p0 "\n Nhap chieu dai cua doan 2 hay Pick diem thu 2 cua canh thu 2:"))(setq hs (/ po2 po1))))  (DELBLOCK "VKC_TEMP")  (CREATEBLOCK ss P0)    (Command "-Insert" "VKC_TEMP" C hs P0 "") 	(setq dt (entlast))  (Command "Explode" dt)  (setvar "CMDECHO" oldvalue)  (princ))(DEFUN CREATEBLOCK(ss P)  (command "-Block" "VKC_TEMP" P ss ""))(DEFUN DELBLOCK (bname)  (if (IsExistBlock bname)    (Command "-Purge" "B" bname "Y" "Y")      ))(DEFUN IsExistBlock(bname / kq)  (setq kq Nil)  (setq n (length LiBlk))  (setq i 0)  (while (< i n)    (if (= bname (nth i LiBlk))      (progn    (setq i n)    (setq kq T)      )        )    (setq i (1+ i))  )  kq)(DEFUN CREALIBLK (/ NL)  (setq LiBlk (List))  (setq NL (tblnext "BLOCK" T))    (while NL        (setq LiBlk (append LiBlk (list (cdr (assoc 2 NL)))))    (setq NL (tblnext "BLOCK"))  )  (setq LiBlk (Acad_strlsort LiBlk)))(DEFUN C:XSCALE()  (CREALIBLK)  (EXCUTE))(DEFUN C:XSC()  (CREALIBLK)  (EXCUTE))

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nếu chỉ có 1 hình có thể vẽ thủ công bằng cách vẽ Ellipse với sự lựa chọn:

Command: pellipse

Enter new value for PELLIPSE <0>: 1

Sau đó tạo block 1 chữ rồi array theo đường dẫn, cũng không tốn nhiều thời gian lắm!

@ Bác Đoan Van Ha: Sao cad của em không cho sửa tex được tạo ra từ lệnh arctext?

- Đó cũng là 1 cách.

- Đối tượng text vẽ trên arc không phải là 1 đối tượng text bình thường, mà là đối tượng ARCALIGNEDTEXT, nên hình như không sửa được bằng lệnh edit (?).

Tuy nhiên, bí đường này thì ta chọn đường khác vậy, sửa bằng lệnh PROPERTIES thì OK ngay.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

@Bác Tue_NV:

Lisp scale một chiều với tham số R của bác em dùng ko được, sau khi chọn đối tượng nó ra thông báo sau:

Command: xsc Chon doi tuong can scale:

Select objects: 1 found

Select objects:

Base point:

Bấm chọn 1 điểm nó ra như này:

Base point: ; error: too many arguments

Command:

Chịu chết ko dùng được, ko hiểu vì sao?

Tôi dùng vẫn OK mà. Trích dẫn:

Command: XSCALE

Chon doi tuong can scale:

Select objects: 1 found

Select objects: (enter)

Chon diem goc: (nhập point)

Scale theo [X,Y,Z,Scale]? :x

Nhap he so scale: 0.5

Select objects: (enter)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tôi dùng vẫn OK mà. Trích dẫn:

Command: XSCALE

Chon doi tuong can scale:

Select objects: 1 found

Select objects: (enter)

Chon diem goc: (nhập point)

Scale theo [X,Y,Z,Scale]? :x

Nhap he so scale: 0.5

Select objects: (enter)

Em vừa chọn điểm gốc xong thì nó nó hiện ra dòng command:

Command: XSCALE

Usage: (acad_strlsort <list of strings>)

Chon doi tuong can scale:

Select objects: 1 found

Select objects:

Base point: ; error: too many arguments

Command:

nó không hiện ra chữ Chon diem goc mà chỉ có chữ tiếng Anh Base point:

Có khả năng CAD của em bị lỗi rồi, để mai em thử cài lại xem sao?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em vừa chọn điểm gốc xong thì nó nó hiện ra dòng command:

Command: XSCALE

Usage: (acad_strlsort <list of strings>)

Chon doi tuong can scale:

Select objects: 1 found

Select objects:

Base point: ; error: too many arguments

Command:

nó không hiện ra chữ Chon diem goc mà chỉ có chữ tiếng Anh Base point:

Có khả năng CAD của em bị lỗi rồi, để mai em thử cài lại xem sao?

Lisp này chưa khử hết biến. Bạn xem trước đó bạn có dùng lisp nào không, mà có thể biến xung khắc? Và chưa osnap nữa.

Còn không, thì thử post bản vẽ lên coi có xử tội nó được không.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

dyewr.jpg

Lâu rồi em ko dùng lisp. Trước em vẫn có dùng lisp scale 1 chiều có từ lâu trên CADViet.

Hôm nay thấy có lisp XSCALE_XSC của bác Tue_NV có thêm lựa chọn tham số R , em mới dùng thử.

Mà cũng lạ em vừa thử với lisp cũ cũng ko được.

Đây là lisp XSC cũ, trước em vẫn dùng tốt hôm nay bị lỗi không sử dụng được :

http://www.cadviet.c.../104426_xsc.lsp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

dyewr.jpg

Lâu rồi em ko dùng lisp. Trước em vẫn có dùng lisp scale 1 chiều có từ lâu trên CADViet.

Hôm nay thấy có lisp của bác Tue_NV có thêm lựa chọn tham số R , em mới dùng thử.

Mà cũng lạ em vừa thử với lisp cũ cũng ko được.

Đây là lisp cũ :

http://www.cadviet.c.../104426_xsc.lsp

Lisp thì tôi có. Ý là xem bản vẽ của bạn cơ!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đây là file dwg nhờ bác xem giúp, em kiểm tra lại rồi có bật osnap :

http://www.cadviet.c...426_lisp222.dwg

Lisp cũ thì thiếu hàm nên đừng dùng.

Lisp mới có lỗi khi down về nên tôi đã sửa lại ở dưới. Tôi đã test bản vẽ của bạn OK.

;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.com/forum/index.php?showtopic=9753&st=0
;XSCALE Scale the mot chieu lenhtat :XSC
(DEFUN EXCUTE()
 (setq oldvalue (getvar "CMDECHO"))
 (setvar "CMDECHO" 0)
 (princ "Chon doi tuong can scale: ")
 (setq ss (ssget))
 (setq P0 (getpoint "\n Base point: "))
 (initget 1 "X Y X S")
 (setq C (getkword "\nScale theo [X,Y,Z,Scale] :"))
(setq hstr (getstring "\n Cho biet he so scale or Reference < R >"))
(if (/= hstr "R") (setq hs (distof hstr 2)))
(if (or (= hstr "R") (= hstr ""))
(progn
(setq po1 (getdist p0 "\n Nhap chieu dai cua doan 1 hay Pick diem thu 2 cua canh thu 1:"))
(setq po2 (getdist p0 "\n Nhap chieu dai cua doan 2 hay Pick diem thu 2 cua canh thu 2:"))
(setq hs (/ po2 po1))))
 (DELBLOCK "VKC_TEMP")
 (CREATEBLOCK ss P0)
 (Command "-Insert" "VKC_TEMP" C hs P0 "")  
 (setq dt (entlast))
 (Command "Explode" dt)
 (setvar "CMDECHO" oldvalue)
 (princ))
(DEFUN CREATEBLOCK(ss P)
 (command "-Block" "VKC_TEMP" P ss ""))
(DEFUN DELBLOCK (bname)
 (if (IsExistBlock bname)
(Command "-Purge" "B" bname "Y" "Y")))
(DEFUN IsExistBlock(bname / kq)
 (setq kq Nil)
 (setq n (length LiBlk))
 (setq i 0)
 (while (< i n)
(if (= bname (nth i LiBlk))
 	(progn
(setq i n)
(setq kq T)))
(setq i (1+ i)))
 kq)
(DEFUN CREALIBLK (/ NL)
 (setq LiBlk (List))
 (setq NL (tblnext "BLOCK" T))
 (while NL  
(setq LiBlk (append LiBlk (list (cdr (assoc 2 NL)))))
(setq NL (tblnext "BLOCK")))
 (setq LiBlk (Acad_strlsort LiBlk)))
(DEFUN C:XSCALE()
 (CREALIBLK)
 (EXCUTE))
(DEFUN C:XSC()
 (CREALIBLK)
 (EXCUTE))

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lisp cũ thì thiếu hàm nên đừng dùng.

Lisp mới có lỗi khi down về nên tôi đã sửa lại ở dưới. Tôi đã test bản vẽ của bạn OK.

;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.com/forum/index.php?showtopic=9753&st=0
;XSCALE Scale the mot chieu lenhtat :XSC
(DEFUN EXCUTE()
 (setq oldvalue (getvar "CMDECHO"))
 (setvar "CMDECHO" 0)
 (princ "Chon doi tuong can scale: ")
 (setq ss (ssget))
 (setq P0 (getpoint "\n Base point: "))
 (initget 1 "X Y X S")
 (setq C (getkword "\nScale theo [X,Y,Z,Scale] :"))
(setq hstr (getstring "\n Cho biet he so scale or Reference < R >"))
(if (/= hstr "R") (setq hs (distof hstr 2)))
(if (or (= hstr "R") (= hstr ""))
(progn
(setq po1 (getdist p0 "\n Nhap chieu dai cua doan 1 hay Pick diem thu 2 cua canh thu 1:"))
(setq po2 (getdist p0 "\n Nhap chieu dai cua doan 2 hay Pick diem thu 2 cua canh thu 2:"))
(setq hs (/ po2 po1))))
 (DELBLOCK "VKC_TEMP")
 (CREATEBLOCK ss P0)
 (Command "-Insert" "VKC_TEMP" C hs P0 "")  
 (setq dt (entlast))
 (Command "Explode" dt)
 (setvar "CMDECHO" oldvalue)
 (princ))
(DEFUN CREATEBLOCK(ss P)
 (command "-Block" "VKC_TEMP" P ss ""))
(DEFUN DELBLOCK (bname)
 (if (IsExistBlock bname)
(Command "-Purge" "B" bname "Y" "Y")))
(DEFUN IsExistBlock(bname / kq)
 (setq kq Nil)
 (setq n (length LiBlk))
 (setq i 0)
 (while (< i n)
(if (= bname (nth i LiBlk))
 	(progn
(setq i n)
(setq kq T)))
(setq i (1+ i)))
 kq)
(DEFUN CREALIBLK (/ NL)
 (setq LiBlk (List))
 (setq NL (tblnext "BLOCK" T))
 (while NL  
(setq LiBlk (append LiBlk (list (cdr (assoc 2 NL)))))
(setq NL (tblnext "BLOCK")))
 (setq LiBlk (Acad_strlsort LiBlk)))
(DEFUN C:XSCALE()
 (CREALIBLK)
 (EXCUTE))
(DEFUN C:XSC()
 (CREALIBLK)
 (EXCUTE))

Quá tuyệt vời bác ơi! Em dùng được rồi bác ạ:

Command: xsc

Chon doi tuong can scale:

Select objects: 1 found

Select objects:

Base point:

Scale theo [X,Y,Z,Scale] :x

Cho biet he so scale or Reference < R >

Nhap chieu dai cua doan 1 hay Pick diem thu 2 cua canh thu 1:

Nhap chieu dai cua doan 2 hay Pick diem thu 2 cua canh thu 2:

 

1- Em chỉ có thắc mắc vì sao "Lisp cũ thì thiếu hàm nên đừng dùng." ?, Em đã từng dùng và dùng tốt cơ mà, sao bây giờ lại ko được(!)

2- Vì sao "Lisp mới có lỗi khi down về" Em vẫn Download bình thường như mọi khi chứ có khác gì đâu? Em hoang mang quá, chẳng hiểu vì sao cả?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Quá tuyệt vời bác ơi! Em dùng được rồi bác ạ:

Command: xsc

Chon doi tuong can scale:

Select objects: 1 found

Select objects:

Base point:

Scale theo [X,Y,Z,Scale] :x

Cho biet he so scale or Reference < R >

Nhap chieu dai cua doan 1 hay Pick diem thu 2 cua canh thu 1:

Nhap chieu dai cua doan 2 hay Pick diem thu 2 cua canh thu 2:

Em chỉ có thắc mắc vì sao "Lisp cũ thì thiếu hàm nên đừng dùng." ?, Em đã từng dùng và dùng tốt cơ mà, sao bây giờ lại ko được(!)

Vì sao "Lisp mới có lỗi khi down về" Em hoang mang quá, chẳng hiểu vì sao cả?

Tôi thích bạn ở cái tính thích tìm hiểu cho đến nơi đến chốn!

- Lisp cũ rất có thể bạn up lên 4rum còn thiếu. Tôi viết lisp nên thường quan tâm tới lisp cuối cùng. Tôi không biết lisp cũ ở địa chỉ nào nhưng tin chắc cái mà bạn post lên là thiếu và không thể chạy được. Bạn kiểm tra lại nhé!

- Lỗi down load thường xãy ra trên CV. Tôi đã từng sửa rất nhiều lisp như thế. Chuyện này bình thường chứ chẳng có gì phải hoang mang.

Nếu còn thắc mắc tôi sẽ cố giải thích cho bạn.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em xin cảm ơn bác Tue_NV và bác nhiều nhé! Em rất thích lisp này ở chỗ dùng tham số R, nhanh, tiện lợi và thường gặp. :rolleyes:

Hiện em hết thắc mắc rồi, và rất may là em chưa phải cài đặt lại AutoCAD. Khi nào có gì thắc mắc và cần viết lisp free hoặc viết lisp theo yêu cầu, các bác giúp em nhé! Em rất vui và xin cảm ơn nhiều!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×